Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516124 - 'Total VMs ' per host on CFME 'Provision Virtual Machines' page is different from RHEV UI
Summary: 'Total VMs ' per host on CFME 'Provision Virtual Machines' page is different...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.0
Assignee: Moti Asayag
QA Contact: Ilanit Stein
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 06:18 UTC by Pradeep Kumar Surisetty
Modified: 2018-06-25 15:57 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-14 10:51:55 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)
CFME UI (deleted)
2017-11-22 06:18 UTC, Pradeep Kumar Surisetty
no flags Details
RHV UI (deleted)
2017-11-22 06:19 UTC, Pradeep Kumar Surisetty
no flags Details

Description Pradeep Kumar Surisetty 2017-11-22 06:18:19 UTC
Description of problem:

1) Added RHV 3.5.5 to CFME 5.9.0
2) Tried to provision vms on RHV from CFME 
   'Total VMs' per host can be found in "Environment' tab while Provisioning      
    Virtual Machines.  

3) Check Number of VMs on specific host on RHV UI. These two numbers are different. 

Have attached screenshots. Moriatry host has 1 running VM as per RHV, But CFME says 15 vms.  


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
CFME, RHV listing different number of VMs per host

Expected results:

CFME, RHV should list same number of VMs per host
Additional info:

Comment 2 Pradeep Kumar Surisetty 2017-11-22 06:18:47 UTC
Created attachment 1357242 [details]
CFME UI

Comment 3 Pradeep Kumar Surisetty 2017-11-22 06:19:08 UTC
Created attachment 1357243 [details]
RHV UI

Comment 4 Oved Ourfali 2017-11-24 17:01:00 UTC
3.5 is no longer supported.
Please test with at least 3.6.

In addition, please attach logs on both cfme and RHV side.

Comment 5 Moti Asayag 2017-11-28 15:03:29 UTC
In additioni to comment #4, could you confirm that a recent refresh was performed for the RHV provider ?

And also add another screenshot of the hosts-multi selection in which the quadicon shows also the number of vms per host ?

behind the scene, the shown number of vms per host is a simple selection from the vms table filtered by the host-id:

2.3.3 :003 > h.vms.count
   (0.5ms)  SELECT COUNT(*) FROM "vms" WHERE "vms"."template" = $1 AND "vms"."type" IN ('Vm', 'ManageIQ::Providers::InfraManager::Vm', 'VmServer', 'ManageIQ::Providers::CloudManager::Vm', 'ManageIQ::Providers::Redhat::InfraManager::Vm', 'ManageIQ::Providers::Microsoft::InfraManager::Vm', 'ManageIQ::Providers::Vmware::InfraManager::Vm', 'VmXen', 'ManageIQ::Providers::Amazon::CloudManager::Vm', 'ManageIQ::Providers::Azure::CloudManager::Vm', 'ManageIQ::Providers::Google::CloudManager::Vm', 'ManageIQ::Providers::Openstack::CloudManager::Vm', 'ManageIQ::Providers::Vmware::CloudManager::Vm') AND "vms"."host_id" = $2  [["template", "f"], ["host_id", 41]]

Comment 6 Oved Ourfali 2017-12-14 10:51:55 UTC
Please re-open if any new data is available.


Note You need to log in before you can comment on or make changes to this bug.